KBD(8)

NAME
kbd - set national keyboard translation

SYNOPSIS
kbd -l
kbd [-q] name

DESCRIPTION
kbd is used to change the keyboard encoding. The encoding is set to national keyboard layout name, and a short message is printed to stdout.

The execution of kbd normally occurs in the system multi-user initialization file /etc/rc using the encoding defined in /etc/kbdtype.

The options are as follows:

-l  List all available keyboard encodings.

-q  Quiet mode. No message is printed unless an error occurs.

The “.metaesc” option can be applied to any layout. If set, keys pressed together with the ALT modifier are prefixed by an ESC character. (Standard behaviour is to add 128 to the ASCII value.)

FILES

/etc/kbdtype
    Default national encoding.

SEE ALSO
wskbd(4), wsconsctl(8)